=== Modules/CMakeLists.txt ===
FILE(GLOB CMAKE_FEDORA_MODULES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "M*.cmake")
LIST(APPEND CMAKE_FEDORA_MODULES cmake_uninstall.cmake.in DateTimeFormat.cmake)
INSTALL(FILES ${CMAKE_FEDORA_MODULES} 
    DESTINATION ${DATA_DIR}/cmake/Modules
    )
