=== debian/changelog ===
cmake-fedora (2.3.4-1) unstable; urgency=low

  * Initial release (Closes: #780421)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 13 Mar 2015 23:19:20 +0800
