## cmake-fedora 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     )
 
 # Whether to build on fedora
-SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build")
+SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build" FORCE)
 
 ####################################################################
 # Project specific information
@@ -54,12 +54,12 @@
 MANAGE_DEPENDENCY(REQUIRES CMAKE VER "2.6.2")
 MANAGE_DEPENDENCY(REQUIRES GIT)
 
-## Workaround for Bug 1115136 otherwise el7 won't work
-MANAGE_DEPENDENCY(REQUIRES BODHI-CLIENT
-    PROGRAM_NAMES bodhi client.py PROGRAM_SEARCH_PATHS /usr/bin/bodhi)
+MANAGE_DEPENDENCY(REQUIRES BODHI-CLIENT)
 MANAGE_DEPENDENCY(REQUIRES KOJI)
 MANAGE_DEPENDENCY(REQUIRES RPM-BUILD)
 MANAGE_DEPENDENCY(REQUIRES FEDPKG)
+MANAGE_DEPENDENCY(REQUIRES CURL)
+MANAGE_DEPENDENCY(REQUIRES PACKAGEDB-CLI)
 
 ## Build requires
 MANAGE_DEPENDENCY(BUILD_REQUIRES CMAKE VER "2.6.2" REQUIRED)
@@ -92,11 +92,11 @@
 # Packing
 #
 
-ADD_CUSTOM_TARGET(ctest
-    COMMAND ctest
+ADD_CUSTOM_TARGET(test_all
+    COMMAND ctest -C Debug --output-on-failure
     COMMENT "ctest: Run tests"
     )
-ADD_DEPENDENCIES(pack_src_pre ctest)
+ADD_DEPENDENCIES(pack_src_pre test_all)
 
 ## Pack Source 
 SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
@@ -107,7 +107,7 @@
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     SET(RPM_BUILD_SOURCES ${SOURCE_ARCHIVE_DIR})
     INCLUDE(ManageRPM)
-    RPM_SPEC_STRING_ADD_DIRECTIVE(RPM_SPEC_SCRIPT_OUTPUT check "" "make test")
+    RPM_SPEC_STRING_ADD_DIRECTIVE(RPM_SPEC_SCRIPT_OUTPUT check "" "ctest --output-on-failure")
     PACK_RPM(SPEC_IN "Templates/fedora/project.spec.in")
     RPM_MOCK_BUILD()
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
@@ -150,7 +150,7 @@
 INCLUDE(ManageRelease)
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     INCLUDE(ManageReleaseFedora)
-    RELEASE_FEDORA(fedora epel)
+    RELEASE_FEDORA(fedora epel7 el6)
     # "Off" Warning is displayed if mock is not installed.
     MANAGE_RELEASE(upload tag_push release_fedora)
 ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
@@ -164,15 +164,18 @@
 ADD_TEST("ManageVariable" ctest -S test/testManageVariable.cmake)
 ADD_TEST("ManageFile" ctest -S test/testManageFile.cmake)
 ADD_TEST("ManageTranslation" ctest -S test/testManageTranslation.cmake)
-ADD_TEST("ManageZanata" ctest -S test/testManageZanata.cmake)
 ADD_TEST("CmakeFedoraScript" ctest -S test/testCmakeFedoraScript.cmake)
 ADD_TEST("CmakeFedoraKoji" ctest -S test/testCmakeFedoraKoji.cmake)
 ADD_TEST("CmakeFedoraFedpkg" ctest -S test/testCmakeFedoraFedpkg.cmake)
 
 IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
+    ## Use cmake 
+    ADD_TEST(NAME "ManageZanata" 
+	CONFIGURATIONS "Debug"
+	COMMAND ctest -S test/testManageZanata.cmake)
     ADD_TEST(NAME "cmake-fedora-newprj"
-	CONFIGURATIONS "debug"
+	CONFIGURATIONS "Debug"
 	COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
 	)
 ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.0)
-    
+
