=== debian/changelog ===
cmake-fedora (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 Feb 2016 16:46:23 +0800

cmake-fedora (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 07 Jan 2016 18:35:00 +0800

cmake-fedora (2.4.4+20151201-1) unstable; urgency=medium

  * Use upstream git snapshot. (Closes: #806686)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Dec 2015 01:03:42 +0800

cmake-fedora (2.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 23 Nov 2015 19:02:45 +0800

cmake-fedora (2.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Nov 2015 00:08:06 +0800
