=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cmake-fedora
 Section: devel
 Priority: optional
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
+Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
 Standards-Version: 3.9.6
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cmake-fedora.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid
 
 Package: cmake-fedora
 Architecture: all
