=== debian/watch ===
version=3
https://fedorahosted.org/releases/c/m/cmake-fedora/ cmake-fedora-([\d\.]+)-Source.tar.gz
