## cmake-fedora 2.6.0

=== debian/changelog ===
cmake-fedora (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Mar 2016 16:42:56 +0800
