=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://fedorahosted.org/cmake-fedora/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid
