## cmake-fedora 2.7.1

=== debian/changelog ===
cmake-fedora (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 24 Aug 2016 18:36:13 +0800

cmake-fedora (2.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in package description. (Closes: 823977)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 11 May 2016 13:40:17 +0800
