=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
 
 Package: cmake-fedora
 Architecture: all
 Depends: ${misc:Depends},
          cmake,
-Description: Set of scripts and cmake modules that simply the release process
+Description: Set of scripts and cmake modules that simplify the release process
  cmake-fedora is designed to relieve you from chores of releasing software by:
  .
    - Keeping the consistency of release information such as version and update
