## cmake-fedora 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,7 @@
 MANAGE_DEPENDENCY(REQUIRES KOJI)
 MANAGE_DEPENDENCY(REQUIRES RPM-BUILD)
 MANAGE_DEPENDENCY(REQUIRES FEDPKG)
+MANAGE_DEPENDENCY(REQUIRES FEDORA-PACKAGER)
 MANAGE_DEPENDENCY(REQUIRES CURL)
 MANAGE_DEPENDENCY(REQUIRES PACKAGEDB-CLI)
