=== Templates/CMakeLists.txt ===
INSTALL(DIRECTORY fedora DESTINATION ${DATA_DIR}/cmake/Templates  PATTERN "*.sw[po]" EXCLUDE PATTERN "*~" EXCLUDE)
