=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     cmake-fedora-koji 
     cmake-fedora-newprj
     cmake-fedora-pkgdb 
+    cmake-fedora-reset
     cmake-fedora-zanata
     koji-build-scratch
 )
