=== debian/changelog ===
cmake-fedora (2.7.2-1) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Jun 2017 12:44:59 +0800

cmake-fedora (2.7.2-1~exp2) experimental; urgency=medium

  * Set Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 26 Mar 2017 00:01:27 +0800

cmake-fedora (2.7.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 26 Feb 2017 23:16:49 +0800
