=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
 
 Package: cmake-fedora
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          cmake,
 Description: Set of scripts and cmake modules that simplify the release process
