## cmake-fedora 2.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 LIST(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/Modules)
 INCLUDE(ManageEnvironmentCommon RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
-GET_FILENAME_COMPONENT(CMAKE_FEDORA_MODULE_DIR 
+GET_FILENAME_COMPONENT(CMAKE_FEDORA_MODULE_DIR
     "${MANAGE_ENVIRONMENT_PATH}" PATH CACHE
     )
 
@@ -29,8 +29,8 @@
 SET(LICENSE BSD)
 SET(PRJ_GROUP "System Environment/Libraries")
 SET(BUILD_ARCH "noarch")
-SET(RPM_SPEC_URL "https://fedorahosted.org/%{name}/")
-SET(RPM_SPEC_SOURCES "https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz")
+SET(RPM_SPEC_URL "https://pagure.io/%{name}/")
+SET(RPM_SPEC_SOURCES "https://releases.pagure.org/%{name}/%{name}-%{version}-Source.tar.gz")
 
 ####################################################################
 # Includes
@@ -76,7 +76,7 @@
 # Installing
 #
 
-INSTALL(FILES AUTHORS README ChangeLog COPYING 
+INSTALL(FILES AUTHORS README.md ChangeLog COPYING
     DESTINATION ${PRJ_DOC_DIR}
     )
 INSTALL(FILES cmake-fedora.conf
@@ -99,7 +99,7 @@
     )
 ADD_DEPENDENCIES(pack_src_pre test_all)
 
-## Pack Source 
+## Pack Source
 SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
 PACK_SOURCE_ARCHIVE("${SOURCE_ARCHIVE_DIR}"
     GITIGNORE ${CMAKE_SOURCE_DIR}/.gitignore
@@ -114,15 +114,8 @@
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
 
 ####################################################################
-# Hosting 
+# Hosting
 #
-INCLUDE(ManageUpload)
-ADD_CUSTOM_TARGET(upload
-    COMMENT "Uploading all files"
-    )
-
-MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_src)
-ADD_DEPENDENCIES(upload upload_fedorahosted_src)
 
 ####################################################################
 # Custom
@@ -138,24 +131,20 @@
     COMMAND ln -sf ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
     )
 
-MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_modules 
-    UPLOAD_FILES ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
-    )
-ADD_DEPENDENCIES(upload upload_fedorahosted_modules)
+ADD_DEPENDENCIES(tag_pre module-only)
 
 ####################################################################
 # Release
 #
 
-ADD_DEPENDENCIES(upload tag_push)
 INCLUDE(ManageRelease)
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     INCLUDE(ManageReleaseFedora)
     RELEASE_FEDORA(fedora epel7 el6)
     # "Off" Warning is displayed if mock is not installed.
-    MANAGE_RELEASE(upload tag_push release_fedora)
+    MANAGE_RELEASE(tag_push release_fedora)
 ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
-    MANAGE_RELEASE(upload tag_push)
+    MANAGE_RELEASE(tag_push)
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
 
 ####################################################################
@@ -166,17 +155,25 @@
 ADD_TEST("ManageFile" ctest -S test/testManageFile.cmake)
 ADD_TEST("ManageTranslation" ctest -S test/testManageTranslation.cmake)
 ADD_TEST("CmakeFedoraScript" ctest -S test/testCmakeFedoraScript.cmake)
-ADD_TEST("CmakeFedoraKoji" ctest -S test/testCmakeFedoraKoji.cmake)
 ADD_TEST("CmakeFedoraFedpkg" ctest -S test/testCmakeFedoraFedpkg.cmake)
 
 IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
-    ## Use cmake 
-    ADD_TEST(NAME "ManageZanata" 
-	CONFIGURATIONS "Debug"
-	COMMAND ctest -S test/testManageZanata.cmake)
+    ##  These tests requires internet, which should not be run in koji
+    ADD_TEST(NAME "CmakeFedoraKoji"
+        CONFIGURATIONS "Debug"
+        COMMAND ctest -S test/testCmakeFedoraKoji.cmake
+        )
+    ADD_TEST(NAME "CmakeFedoraFedpkgDeep"
+        CONFIGURATIONS "Debug"
+        COMMAND ctest -S test/testCmakeFedoraFedpkgDeep.cmake
+        )
+    ADD_TEST(NAME "ManageZanata"
+    	CONFIGURATIONS "Debug"
+	    COMMAND ctest -S test/testManageZanata.cmake
+        )
     ADD_TEST(NAME "cmake-fedora-newprj"
-	CONFIGURATIONS "Debug"
-	COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
-	)
+	    CONFIGURATIONS "Debug"
+	    COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
+	    )
 ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.0)
