=== debian/changelog ===
cmake-fedora (2.9.3-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's acknowledgement.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/rules: Remove trailing whitespaces.

  [ ChangZhuo Chen (陳昌倬) ]
  * Remove git-dpm
  * Update watch
  * Update Homepage (Closes: #979616)

  [ Boyuan Yang ]
  * New upstream version 2.9.3. (Closes: #979615)
  * debian/control: Update Vcs-* fields.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Add new build-dependency pkg-config.
  * debian/: Bump debhelper compat to v13.
  * debian/watch: Fix version matching.
  * debian/docs: Fix doc installation following upstream renaming.
  * debian/build-aux/.gitignore: Imported from upstream. Needed by
    cmake configure process.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Nov 2021 14:31:13 -0500
