=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-Standards-Version: 4.0.0
-Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
+               pkg-config,
+Standards-Version: 4.6.0
+Homepage: https://pagure.io/cmake-fedora
+Vcs-Git: https://salsa.debian.org/debian/cmake-fedora.git
+Vcs-Browser: https://salsa.debian.org/debian/cmake-fedora
 
 Package: cmake-fedora
 Architecture: all
