=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ 
+	dh $@
+
+execute_before_dh_auto_configure:
+	# Needed by cmake configure
+	cp debian/build-aux/gitignore ./.gitignore
 
 override_dh_auto_test:
 	# FIXME: testing is broken for now.
